Support » Plugin: What The File » PHP 7 Compatibility

  • Resolved Drivingralle

    (@drivingralle)


    Hey!

    I just scanned this plugin with the “PHP Compatibility Checker” (https://de.wordpress.org/plugins/php-compatibility-checker/).
    In general the plugin is ready for PHP7. There is just one warning.

    FILE: /Users/drivingralle/Sites/CrossMediaCloud/absolit/lokalDev/wp-content/plugins/what-the-file/what-the-file.php
    ——————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————————————————-
    303 | WARNING | Function name “__what_the_file_main” is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    ——————————————————————————————————————————————————-

    Would be great if you could improve this.

    Greetings
    derRALF

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Barry Kooij

    (@barrykooij)

    Hey,

    Thanks for the heads up! I’ll look into patching this soon. As far as I know this can’t cause any issues yet on PHP7 so you can keep using it for now! 🙂

    Kind Regards,

    Barry Kooij

    Hey!

    The plugin doesn’t break on PHP 7, but I always get a notcie in my php logs.
    Would love to see an update to remove the notice.

    Greetings
    derRALF

    Any news on this? I see the error still too

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP 7 Compatibility’ is closed to new replies.